<template>
	<v-card rounded="lg" class="px-6 border" flat>
		<v-card-actions class="pa-0">
			<v-list-item class="w-100 pa-0">
				<template v-slot:prepend>
					<v-avatar
						size="82"
						color="#F3F6F8"
						image="@/assets/icons/user-avatar-64.svg"
						alt="avatar"
					></v-avatar>
				</template>

				<v-list-item-title class="list-item-title__name">{{
					user?.name || ''
				}}</v-list-item-title>

				<div class="d-flex align-center justify-self-end">
					<v-btn class="subheading me-2 text-capitalize pa-0">
						<v-icon class="me-1" icon="mdi-camera"></v-icon>
						Add photo
					</v-btn>

					<span
						class="d-flex align-center subheading"
						v-if="user?.credit > 0 || ''"
					>
						<v-icon class="me-1" icon="mdi-cloud-check"></v-icon>
						Active
					</span>
				</div>

				<template v-slot:append>
					<div class="d-flex py-3 justify-space-between">
						<v-list-item ensity="compact">
							<v-list-item-title>Total Credit</v-list-item-title>
							<v-list-item-subtitle class="text-center">{{
								user?.credit || '0'
							}}</v-list-item-subtitle>
						</v-list-item>

						<v-list-item density="compact" class="text-center">
							<v-list-item-title>Available Tokens</v-list-item-title>
							<v-list-item-subtitle>{{
								user?.tokens || '0'
							}}</v-list-item-subtitle>
						</v-list-item>
					</div>
				</template>
			</v-list-item>
		</v-card-actions>
	</v-card>
</template>

<script lang="ts">
export default {
	name: 'UserData',
	props: {
		user: {
			type: Object,
			default: () => {},
		},
	},
}
</script>

<style lang="scss" scoped>
.v-card {
	padding: 12px 0;
}
.v-btn {
	span {
		font-size: 15px;
		font-weight: 500;
		line-height: 22px;
		color: rgba(41, 49, 72, 0.6);
	}
}
.v-list-item {
	.v-list-item-title {
		color: rgba(41, 49, 72, 0.6);
		font-size: 15px;
		font-weight: 500;
		line-height: 22px;
	}

	.v-list-item-subtitle {
		color: #293148;
		font-size: 18px;
		font-weight: 700;
		line-height: 24px;
	}

	.list-item-title__name {
		color: #293148;
		font-size: 24px;
		font-weight: 500;
		line-height: 28px;
	}
}
</style>
